List Tasks

Get the properties of all existing tasks corresponding to your company.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

Include the total number of existing tasks as a top-level key in the response payload

int32
Defaults to 0

Number of objects —each corresponding to a specific task— that the Zenput server should skip before selecting those that the results array in the response payload should contain

At the moment of selection, objects would be ordered ascendingly by the date on which each corresponding task was created.

Given that fact, and if the value of start were 0, the first object of the results array in the response payload would correspond to the task that was created first.

Note: The default value of start is 0.

int32
Defaults to 100

Number of objects —each corresponding to a specific task— that the results array in the response payload should contain

Important: The maximum value of limit is 10000.

Note: The default value of limit is 100.

string

Task status

Important: The Zenput server can accept only the following values:

- complete
- deleted
- archived_incomplete
- active_incomplete
- all_tasks

string

Task search text

int32

Task assignee user ID

int32

Task Location ID

string

Time frame starting date

The results array in the response payload would contain objects —each corresponding to a specific task— with a due date in the Zenput server between the date specified in start_date and the date specified in end_date.

Important: The Zenput server would require the date to match the following format:

start_date={“$date”:XXXXXX} or start_date=%7B%22%24date%22%3AXXXXXX%7D (for an encoded URL)

XXXXXX represents a date in UNIX epoch time format in milliseconds.

string

Time frame ending date

The results array in the response payload would contain objects —each corresponding to a specific task— with a due date in the Zenput server between the date specified in start_date and the date specified in end_date.

Important: The Zenput server would require the date to match the following format:

end_date={“$date”:XXXXXX} or end_date=%7B%22%24date%22%3AXXXXXX%7D (for an encoded URL)

XXXXXX represents a date in UNIX epoch time format in milliseconds.

boolean

Include tasks that have not started yet.

string

Sorting of objects —each corresponding to a specific task— that the Zenput server should consider.

Sample criterions:

- id
- date_created
- title
- date_due_local

Note: The previous list is not exhaustive.

Important: Objects are sorted in ascending order. However, if the value for order_by is preceded by a - sign, then the sorting would be inverted.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json